NCTAudioDesign2Lib

NCTAudioStudio2 ActiveX DLLs
NCTAudioDesign2 ActiveX DLL

Version 2.2

NCTAudioDesign2 helps to design a stylish and functional multimedia application.

NCTAudioDesign2 includes 13 interfaces:

  • NCTAmpBar2 - Amplification bar for displaying amplitude of signal.

  • NCTCMU2 - Color music.

  • NCTEqualizer2 - Control for displaying equalizer.

  • NCTFlatButton2 - Simple button.

  • NCTFlatSlider2 - Slider for displaying the current position in an audio file.

  • NCTSliderA2 - Slider for displaying the current position in an audio file.

  • NCTSliderB2 - Slider for displaying the current position in an audio file.

  • NCTPlayButton2 - Control center for playback, record and track choosing.

  • NCTPlayButtonB2 - Control center for playback, record, volume control and track choosing.

  • NCTStepButton2 - Control for changing Volume of playback or Gain of recording.

  • NCTTimeDisplay2 - Timer or control for displaying periods of playback or recording in hours, minutes, seconds or milliseconds.

  • NCTVolumeButtonA2 - Control for changing Volume of playback or gain of recording.

  • NCTVolumeButtonB2 - Control for changing Volume of playback or gain of recording.

NCTAudioDesign2 is a part of the NCTAudioStudio2 package.

Send Feedback on the NCTAudioDesign2 documentation.
NCTAudioDesign2 was developed by NCT Company Ltd. http://www.nctsoft.com


NCTAudioDesign2 objects

NCTAudioDesign2 objects

Object | Description
NCTAmpBar2 | The NCTAmpBar2 is amplification bar for displaying amplitude of signal.
NCTCMU2 | With NCTCMU2 you can create your own color music.
NCTEqualizer2 | With NCTEqualizer2 you can create your own equalizer.
NCTFlatButton2 | With NCTFlatButton2 you can create your own flat button.
NCTFlatSlider2 | With NCTFlatSlider2 you can create your own flat slider.
NCTPlayButton2 | The NCTPlayButton2 is a control center for playback, record and track choosing.
NCTPlayButtonB2 | The NCTPlayButton2 is a control center for playback, record, volume control and track choosing.
NCTSliderA2 | The NCTSliderA2 is a slider.
NCTSliderB2 | The NCTSliderB2 is a slider.
NCTStepButton2 | The NCTStepButton2 is a control for changing Volume of the playback or Gain of the record.
NCTTimeDisplay2 | The NCTTimeDisplay2 is a control for showing time display.
NCTVolumeButtonA2 | The NCTVolumeButtonA2 is a control for changing Volume of the playback.
NCTVolumeButtonB2 | The NCTVolumeButtonB2 is a control for changing Volume of the playback.


NCTAmpBar2

NCTAmpBar2 object

The NCTAmpBar2 is amplification bar for displaying amplitude of signal.


NCTAmpBar2 properties

NCTAmpBar2 properties

Property | Type | Default | Description
BackColor | OLE_COLOR |  | Gets or sets RGB color of background using standard Windows palette.
BorderColor | OLE_COLOR |  | Gets or sets RGB color of the border using standard Windows palette.
BorderStyle | BorderEnum |  | Gets or sets the type of the border.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
Orientation | OrientationEnum |  | Gets or sets orientation of amplification bar.
PickColor | OLE_COLOR |  | Gets or sets RGB color of pick area using standard Windows palette.
PickWidthPercent | Long |  | Gets or sets width of pick area from width of amplification bar.
Speed | Double |  | Gets or sets the moving speed of amplitude meter.
Style | ColorStyleEnum |  | Gets or sets style of amplification bar.
TickBackColor | OLE_COLOR |  | Gets or sets RGB color of tick background using standard Windows palette.
TickColor | OLE_COLOR |  | Gets or sets RGB color of tick using standard Windows palette.
TickInterval | Long |  | Gets or sets width of interval between ticks.
TickWidth | Long |  | Gets or sets width of ticks.
Value | Long |  | Gets or sets value of amplitude.


BackColor property (NCTAmpBar2)

BackColor property (NCTAmpBar2)

Gets or sets RGB color of background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BackColor [= value]

The BackColor property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | OLE_COLOR | Color of background.

See Also:

Orientation | Speed | Style

Applies to: NCTAmpBar2


BorderColor property (NCTAmpBar2)

BorderColor property (NCTAmpBar2)

Gets or sets RGB color of the border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BorderColor [= value]

The BorderColor property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the border.

See Also:

BorderStyle

Applies to: NCTAmpBar2


BorderStyle property (NCTAmpBar2)

BorderStyle property (NCTAmpBar2)

Gets or sets the type of the border.

Property type

A BorderEnum value.

Syntax

object.BorderStyle [= value]

The BorderStyle property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | BorderEnum | Type of border.

See Also:

BorderColor

Applies to: NCTAmpBar2


Max property (NCTAmpBar2)

Max property (NCTAmpBar2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | Long | Maximal value.

See Also:

Min | Value

Applies to: NCTAmpBar2


Min property (NCTAmpBar2)

Min property (NCTAmpBar2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | Long | Minimal value.

See Also:

Max | Value

Applies to: NCTAmpBar2


Orientation property (NCTAmpBar2)

Orientation property (NCTAmpBar2)

Gets or sets orientation of amplification bar.

Property type

A OrientationEnum value.

Syntax

object.Orientation [= value]

The Orientation property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | OrientationEnum | Type of orientation.

See Also:

BackColor | Speed | Style

Applies to: NCTAmpBar2


PickColor property (NCTAmpBar2)

PickColor property (NCTAmpBar2)

Gets or sets RGB color of pick area using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.PickColor [= value]

The PickColor property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | OLE_COLOR | Color of pick.

See Also:

PickWidthPercent

Applies to: NCTAmpBar2


PickWidthPercent property (NCTAmpBar2)

PickWidthPercent property (NCTAmpBar2)

Gets or sets width of pick area from width of amplification bar.

Property type

A Long value.

Syntax

object.PickWidthPercent [= value]

The PickWidthPercent property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | Long | Width of pick area, in percents.

See Also:

PickColor

Applies to: NCTAmpBar2


Speed property (NCTAmpBar2)

Speed property (NCTAmpBar2)

Gets or sets the moving speed of amplitude meter.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | Double | Can accept only positive values.

See Also:

BackColor | Orientation | Style

Applies to: NCTAmpBar2


Style property (NCTAmpBar2)

Style property (NCTAmpBar2)

Gets or sets style of amplification bar.

Property type

A ColorStyleEnum value.

Syntax

object.Style [= value]

The Style property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | ColorStyleEnum | The type of amplification bar style.

See Also:

BackColor | Orientation | Speed

Applies to: NCTAmpBar2


TickBackColor property (NCTAmpBar2)

TickBackColor property (NCTAmpBar2)

Gets or sets RGB color of tick background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.TickBackColor [= value]

The TickBackColor property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | OLE_COLOR | Color of tick background.

See Also:

TickColor | TickInterval | TickWidth

Applies to: NCTAmpBar2


TickColor property (NCTAmpBar2)

TickColor property (NCTAmpBar2)

Gets or sets RGB color of tick using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.TickColor [= value]

The TickColor property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | OLE_COLOR | Color of tick.

See Also:

TickBackColor | TickInterval | TickWidth

Applies to: NCTAmpBar2


TickInterval property (NCTAmpBar2)

TickInterval property (NCTAmpBar2)

Gets or sets width of interval between ticks.

Property type

A Long value.

Syntax

object.TickInterval [= value]

The TickInterval property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | Long | Can accept only positive values.

See Also:

TickBackColor | TickColor | TickWidth

Applies to: NCTAmpBar2


TickWidth property (NCTAmpBar2)

TickWidth property (NCTAmpBar2)

Gets or sets width of ticks.

Property type

A Long value.

Syntax

object.TickWidth [= value]

The TickWidth property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | Long | Can accept only positive values.

See Also:

TickBackColor | TickColor | TickInterval

Applies to: NCTAmpBar2


Value property (NCTAmpBar2)

Value property (NCTAmpBar2)

Gets or sets value of amplitude.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
value | Long | Amplitude value.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly.

See Also:

Max | Min

Applies to: NCTAmpBar2


NCTAmpBar2 methods

NCTAmpBar2 methods

Method | Description
Register | Enters user name and registration password to disable About window.
Move | Sets the amplification bar position in the form.


Move method

Move method (NCTAmpBar2 object)

Sets the amplification bar position in the form.

Syntax

object.Move(left As Long, top As Long, width As Long, height As Long)

The Move method syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
left | Long | The vertical coordinate of amplification bar.
top | Long | The horizontal coordinate of amplification bar.
width | Long | The width of amplification bar.
height | Long | The height of amplification bar.

Remarks:

Works as standard Move method.

See Also:

Applies to: NCTAmpBar2

Send Feedback on the NCTAudioDesign2 documentation.
NCTAudioDesign2 was developed by NCT company http://www.nctsoft.com


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTAmpBar2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTAmpBar2


NCTCMU2

NCTCMU2 object

With NCTCMU2 you can create your own color music.


NCTCMU2 properties

NCTCMU2 properties

Property | Type | Default | Description
BackColor | OLE_COLOR |  | Gets or sets RGB color of background using standard Windows palette.
Color | OLE_COLOR |  | Gets or sets RGB color of the object.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
Speed | Double |  | Gets or sets speed of changing intensity of the color.
TransformPercent | Long |  | Gets or sets percent of changing intensity of the object's color.
Value | Long |  | Gets or sets the value of the intensity of the object's color.


BackColor property (NCTCMU2)

BackColor property (NCTCMU2)

Gets or sets RGB color of background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BackColor [= value]

The BackColor property syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object.
value | OLE_COLOR | Color of background.

See Also:

Color | Speed | TransformPercent

Applies to: NCTCMU2


Color property (NCTCMU2)

Color property (NCTCMU2)

Gets or sets RGB color of the object.

Property type

A OLE_COLOR value.

Syntax

object.Color [= value]

The Color property syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the object.

See Also:

BackColor | Speed | TransformPercent

Applies to: NCTCMU2


Max property (NCTCMU2)

Max property (NCTCMU2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object.
value | Long | Maximal value. Can't exceed 100.

See Also:

Min | Value

Applies to: NCTCMU2


Min property (NCTCMU2)

Min property (NCTCMU2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object.
value | Long | Minimal value. Can't be less than 0.

See Also:

Max | Value

Applies to: NCTCMU2


Speed property (NCTCMU2)

Speed property (NCTCMU2)

Gets or sets speed of changing intensity of the color.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object.
value | Double | Can accept only positive values.

See Also:

BackColor | Color | TransformPercent

Applies to: NCTCMU2


TransformPercent property (NCTCMU2)

TransformPercent property (NCTCMU2)

Gets or sets percent of changing intensity of the object's color.

Property type

A Long value.

Syntax

object.TransformPercent [= value]

The TransformPercent property syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object.
value | Long | Intensity of changing, in percent. Varies from 0 to 100.

See Also:

BackColor | Color | Speed

Applies to: NCTCMU2


Value property (NCTCMU2)

Value property (NCTCMU2)

Gets or sets the value of the intensity of the object's color.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object of type .
value | Long | A value.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly.

See Also:

Max | Min

Applies to: NCTCMU2


NCTCMU2 methods

NCTCMU2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTCMU2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTCMU2


NCTEqualizer2

NCTEqualizer2 object

With NCTEqualizer2 you can create your own equalizer.


NCTEqualizer2 properties

NCTEqualizer2 properties

Property | Type | Default | Description
BackColor | OLE_COLOR |  | Gets or sets RGB color of background using standard Windows palette.
Band1 | Float |  | Gets or sets band with 31 hertz for equalizer.
Band10 | Float |  | Gets or sets band with 9 Khertz for equalizer.
Band11 | Float |  | Gets or sets band with 12 Khertz for equalizer.
Band12 | Float |  | Gets or sets band with 16 Khertz for equalizer.
Band2 | Float |  | Gets or sets band with 62 hertz for equalizer.
Band3 | Float |  | Gets or sets band with 125 hertz for equalizer.
Band4 | Float |  | Gets or sets band with 250 hertz for equalizer.
Band5 | Float |  | Gets or sets band with 500 hertz for equalizer.
Band5 | Float |  | Gets or sets band with 500 hertz for equalizer.
Band6 | Float |  | Gets or sets band with 1 Khertz for equalizer.
Band7 | Float |  | Gets or sets band with 2 Khertz for equalizer.
Band8 | Float |  | Gets or sets band with 4 Khertz for equalizer.
Band9 | Float |  | Gets or sets band with 6 Khertz for equalizer.
BorderColor | OLE_COLOR |  | Gets or sets RGB color of the border using standard Windows palette.
BorderStyle | BorderEnum |  | Gets or sets the type of the border.
Enabled | Boolean |  | Gets or sets a flag indicating if equalizer is enabled or not.
HorizontalInscriptions | Boolean |  | Gets or sets a flag indicating if frequency inscriptions are enabled or not.
InscriptionsColor | OLE_COLOR |  | Gets or sets RGB color of inscriptions using standard Windows palette.
Max | Long |  | Gets or sets the maximal value for the following properties: Band1, Band2, Band3, Band4, Band5, Band6, Band7, Band8, Band9, Band10, Band11, Band12.
Min | Long |  | Gets or sets the minimal value for the following properties: Band1, Band2, Band3, Band4, Band5, Band6, Band7, Band8, Band9, Band10, Band11, Band12.
ScaleYVisible | Boolean |  | Gets or sets a flag indicating if the vertical scale is visible or not.
ShowTicks | Boolean |  | Gets or sets a flag indicating if ticks are visible or not.
Slider2BackColor | OLE_COLOR |  | Gets or sets RGB color of Slider2 background using standard Windows palette.
SliderColor | OLE_COLOR |  | Gets or sets RGB color of slider using standard Windows palette.
SliderType | EqualizerSliderEnum |  | Gets or sets the type of the slider.
TickColor | OLE_COLOR |  | Gets or sets RGB color of tick using standard Windows palette.
TicksFrequency | Integer |  | Gets or sets frequency of ticks.


BackColor property (NCTEqualizer2)

BackColor property (NCTEqualizer2)

Gets or sets RGB color of background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BackColor [= value]

The BackColor property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | OLE_COLOR | Color of background.

See Also:

Enabled | ScaleYVisible

Applies to: NCTEqualizer2


Band1 property (NCTEqualizer2)

Band1 property (NCTEqualizer2)

Gets or sets band with 31 hertz for equalizer.

Property type

A Float value.

Syntax

object.Band1 [= value]

The Band1 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band10 property (NCTEqualizer2)

Band10 property (NCTEqualizer2)

Gets or sets band with 9 Khertz for equalizer.

Property type

A Float value.

Syntax

object.Band10 [= value]

The Band10 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band11 property (NCTEqualizer2)

Band11 property (NCTEqualizer2)

Gets or sets band with 12 Khertz for equalizer.

Property type

A Float value.

Syntax

object.Band11 [= value]

The Band11 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band12 property (NCTEqualizer2)

Band12 property (NCTEqualizer2)

Gets or sets band with 16 Khertz for equalizer.

Property type

A Float value.

Syntax

object.Band12 [= value]

The Band12 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band2 property (NCTEqualizer2)

Band2 property (NCTEqualizer2)

Gets or sets band with 62 hertz for equalizer.

Property type

A Float value.

Syntax

object.Band2 [= value]

The Band2 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band3 property (NCTEqualizer2)

Band3 property (NCTEqualizer2)

Gets or sets band with 125 hertz for equalizer.

Property type

A Float value.

Syntax

object.Band3 [= value]

The Band3 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band4 property (NCTEqualizer2)

Band4 property (NCTEqualizer2)

Gets or sets band with 250 hertz for equalizer.

Property type

A Float value.

Syntax

object.Band4 [= value]

The Band4 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band5 property (NCTEqualizer2)

Band5 property (NCTEqualizer2)

Gets or sets band with 500 hertz for equalizer.

Property type

A Float value.

Syntax

object.Band5 [= value]

The Band5 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band6 property (NCTEqualizer2)

Band6 property (NCTEqualizer2)

Gets or sets band with 1 Khertz for equalizer.

Property type

A Float value.

Syntax

object.Band6 [= value]

The Band6 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band7 property (NCTEqualizer2)

Band7 property (NCTEqualizer2)

Gets or sets band with 2 Khertz for equalizer.

Property type

A Float value.

Syntax

object.Band7 [= value]

The Band7 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band8 property (NCTEqualizer2)

Band8 property (NCTEqualizer2)

Gets or sets band with 4 Khertz for equalizer.

Property type

A Float value.

Syntax

object.Band8 [= value]

The Band8 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


Band9 property (NCTEqualizer2)

Band9 property (NCTEqualizer2)

Gets or sets band with 6 Khertz for equalizer.

Property type

A Float value.

Syntax

object.Band9 [= value]

The Band9 property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Float | Varies from Min to Max.

See Also:

Band1 | Band2 | Band3 | Band4 | Band5 | Band6 |Band7 | Band8 | Band9 | Band10 | Band11 | Band12

Applies to: NCTEqualizer2


BorderColor property (NCTEqualizer2)

BorderColor property (NCTEqualizer2)

Gets or sets RGB color of the border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BorderColor [= value]

The BorderColor property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the border.

See Also:

BorderStyle

Applies to: NCTEqualizer2


BorderStyle property (NCTEqualizer2)

BorderStyle property (NCTEqualizer2)

Gets or sets the type of the border.

Property type

A BorderEnum value.

Syntax

object.BorderStyle [= value]

The BorderStyle property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | BorderEnum | Type of border.

See Also:

BorderColor

Applies to: NCTEqualizer2


Enabled property (NCTEqualizer2)

Enabled property (NCTEqualizer2)

Gets or sets a flag indicating if equalizer is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Boolean | Can be True (equalizer is enabled) or False (equalizer is disabled).

See Also:

BackColor | ScaleYVisible

Applies to: NCTEqualizer2


HorizontalInscriptions property (NCTEqualizer2)

HorizontalInscriptions property (NCTEqualizer2)

Gets or sets a flag indicating if frequency inscriptions are enabled or not.

Property type

A Boolean value.

Syntax

object.HorizontalInscriptions [= value]

The HorizontalInscriptions property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Boolean | Can be True (frequency inscriptions are enabled) or False (frequency inscriptions are disabled).

See Also:

InscriptionsColor

Applies to: NCTEqualizer2


InscriptionsColor property (NCTEqualizer2)

InscriptionsColor property (NCTEqualizer2)

Gets or sets RGB color of inscriptions using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.InscriptionsColor [= value]

The InscriptionsColor property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | OLE_COLOR | Color of inscriptions.

See Also:

HorizontalInscriptions

Applies to: NCTEqualizer2


Max property (NCTEqualizer2)

Max property (NCTEqualizer2)

Gets or sets the maximal value for the following properties: Band1, Band2, Band3, Band4, Band5, Band6, Band7, Band8, Band9, Band10, Band11, Band12.

Property type

An Integer value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Integer | Maximal value.

See Also:

Min

Applies to: NCTEqualizer2


Min property (NCTEqualizer2)

Min property (NCTEqualizer2)

Gets or sets the minimal value for the following properties: Band1, Band2, Band3, Band4, Band5, Band6, Band7, Band8, Band9, Band10, Band11, Band12.

Property type

An Integer value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Integer | Minimal value.

See Also:

Max

Applies to: NCTEqualizer2


ScaleYVisible property (NCTEqualizer2)

ScaleYVisible property (NCTEqualizer2)

Gets or sets a flag indicating if the vertical scale is visible or not.

Property type

A Boolean value.

Syntax

object.ScaleYVisible [= value]

The ScaleYVisible property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Boolean | Can be True (vertical scale is visible) or False (vertical scale is invisible).

See Also:

BackColor | Enabled

Applies to: NCTEqualizer2


ShowTicks property (NCTEqualizer2)

ShowTicks property (NCTEqualizer2)

Gets or sets a flag indicating if ticks are visible or not.

Property type

A Boolean value.

Syntax

object.ShowTicks [= value]

The ShowTicks property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Boolean | Can be True (ticks are visible) or False (ticks are invisible).

See Also:

TickColor | TicksFrequency

Applies to: NCTEqualizer2


Slider2BackColor property (NCTEqualizer2)

Slider2BackColor property (NCTEqualizer2)

Gets or sets RGB color of Slider2 background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.Slider2BackColor [= value]

The Slider2BackColor property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | OLE_COLOR | Color of Slider2 background.

See Also:

SliderColor | SliderType

Applies to: NCTEqualizer2


SliderColor property (NCTEqualizer2)

SliderColor property (NCTEqualizer2)

Gets or sets RGB color of slider using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.SliderColor [= value]

The SliderColor property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | OLE_COLOR | Color of slider.

See Also:

Slider2BackColor | SliderType

Applies to: NCTEqualizer2


SliderType property (NCTEqualizer2)

SliderType property (NCTEqualizer2)

Gets or sets the type of the slider.

Property type

A EqualizerSliderEnum value.

Syntax

object.SliderType [= value]

The SliderType property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | EqualizerSliderEnum | Type of slider.

See Also:

Slider2BackColor | SliderColor

Applies to: NCTEqualizer2


TickColor property (NCTEqualizer2)

TickColor property (NCTEqualizer2)

Gets or sets RGB color of ticks using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.TickColor [= value]

The TickColor property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | OLE_COLOR | Color of ticks.

See Also:

ShowTicks | TicksFrequency

Applies to: NCTEqualizer2


TicksFrequency property (NCTEqualizer2)

TicksFrequency property (NCTEqualizer2)

Gets or sets frequency of ticks.

Property type

An Integer value.

Syntax

object.TicksFrequency [= value]

The TicksFrequency property syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
value | Integer | Frequency of ticks, in hertz.

See Also:

ShowTicks | TickColor

Applies to: NCTEqualizer2


NCTEqualizer2 methods

NCTEqualizer2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTEqualizer2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTEqualizer2


NCTEqualizer2 events

NCTEqualizer2 events

Events | Description
MouseDown | Occurs when the user releases the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.
ValueChange | Occurs when one of the following properties is changing: Band1, Band2, Band3, Band4, Band5, Band6, Band7, Band8, Band9, Band10, Band11, Band12.


MouseDown event

MouseDown event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseDown(Band As Long)

The MouseDown event syntax has these named arguments:

Part | Type | Description
Band | Long | Can be one of the following values: 1 - mouse pointer on Band1, 2 - mouse pointer on Band2, 3 - mouse pointer on Band3, 4 - mouse pointer on Band4, 5 - mouse pointer on Band5, 6 - mouse pointer on Band6, 7 - mouse pointer on Band7, 8 - mouse pointer on Band8, 9 - mouse pointer on Band9, 10 - mouse pointer on Band10, 11 - mouse pointer on Band11, 12 - mouse pointer on Band12.

See Also:

MouseUp | ValueChange

Applies to: NCTEqualizer2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseDown | ValueChange

Applies to: NCTEqualizer2


ValueChange event

ValueChange event

Occurs when one of the following properties is changing: Band1, Band2, Band3, Band4, Band5, Band6, Band7, Band8, Band9, Band10, Band11, Band12.

Syntax

Sub object_ValueChange(Band As Long)

The ValueChange event syntax has these named arguments:

Part | Type | Description
Band | Long | Number of band.

See Also:

MouseDown | MouseUp

Applies to: NCTEqualizer2


NCTFlatButton2

NCTFlatButton2 object

With NCTFlatButton2 you can create your own flat button.


NCTFlatButton2 properties

NCTFlatButton2 properties

Property | Type | Default | Description
Caption | String |  | Gets or sets the caption of the button.
Enabled | Boolean |  | Gets or sets a flag indicating if the button is enabled or not.
Font | IFontDisp |  | Gets or sets the font of the button caption using standard Windows fonts.


Caption property (NCTFlatButton2)

Caption property (NCTFlatButton2)

Gets or sets the caption of the button.

Property type

A String value.

Syntax

object.Caption [= value]

The Caption property syntax has these parts:

Part | Type | Description
object | NCTFlatButton2 | An expression evaluating to an object.
value | String | Caption of button.

See Also:

Enabled | Font

Applies to: NCTFlatButton2


Enabled property (NCTFlatButton2)

Enabled property (NCTFlatButton2)

Gets or sets a flag indicating if the button is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTFlatButton2 | An expression evaluating to an object.
value | Boolean | Can be True (button is enabled) or False (button is disabled).

See Also:

Caption | Font

Applies to: NCTFlatButton2


Font property (NCTFlatButton2)

Font property (NCTFlatButton2)

Gets or sets the font of the button caption using standard Windows fonts.

Property type

A IFontDisp value.

Syntax

object.Font [= value]

The Font property syntax has these parts:

Part | Type | Description
object | NCTFlatButton2 | An expression evaluating to an object.
value | IFontDisp | Font of button caption.

See Also:

Caption | Enabled

Applies to: NCTFlatButton2


NCTFlatButton2 methods

NCTFlatButton2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTFlatButton2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTFlatButton2


NCTFlatButton2 events

NCTFlatButton2 events

Event | Description
MouseClick | Occurs when the user releases the left mouse button.
MouseDown | Occurs when the user releases the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.


MouseClick event

MouseClick event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseClick()

See Also:

MouseDown | MouseUp

Applies to: NCTFlatButton2


MouseDown event

MouseDown event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseDown()

See Also:

MouseClick | MouseUp

Applies to: NCTFlatButton2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseClick | MouseDown

Applies to: NCTFlatButton2


NCTFlatSlider2

NCTFlatSlider2 object

With NCTFlatSlider2 you can create your own flat slider.


NCTFlatSlider2 properties

NCTFlatSlider2 properties

Property | Type | Default | Description
Enabled | Boolean |  | Gets or sets a flag indicating if the slider is enabled or not.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
MousePointer | MousePtrEnum |  | Gets or sets the type of the mouse pointer.
Orientation | OrientationEnum |  | Gets or sets orientation of amplification bar.
Speed | Double |  | Gets or sets the speed of the moving slider.
ThumbLength | Long |  | Gets or sets the length of the slider thumb.
Ticks | Boolean |  | Gets or sets a flag indicating if ticks are visible or not. Ticks show the center of the slider.
TrackBorderColor | OLE_COLOR |  | Gets or sets RGB color of track border using standard Windows palette.
TrackColor | OLE_COLOR |  | Gets or sets RGB color of track using standard Windows palette.
TrackStyle | BorderEnum |  | Gets or sets the type of the track border.
TrackWidth | Long |  | Gets or sets the width of the slider track.
Value | Long |  | Gets or sets value of amplitude.


Enabled property (NCTFlatSlider2)

Enabled property (NCTFlatSlider2)

Gets or sets a flag indicating if the slider is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Boolean | Can be True (slider is enabled) or False (slider is disabled).

See Also:

MousePointer | Orientation | Speed | ThumbLength | Ticks

Applies to: NCTFlatSlider2


Max property (NCTFlatSlider2)

Max property (NCTFlatSlider2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Long | Maximal value.

See Also:

Min | Value

Applies to: NCTFlatSlider2


Min property (NCTFlatSlider2)

Min property (NCTFlatSlider2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Long | Minimal value.

See Also:

Max | Value

Applies to: NCTFlatSlider2


MousePointer property (NCTFlatSlider2)

MousePointer property (NCTFlatSlider2)

Gets or sets the type of mouse pointer.

Property type

A MousePtrEnum value.

Syntax

object.MousePointer [= value]

The MousePointer property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | MousePtrEnum | Type of mouse pointer.

See Also:

Enabled | Orientation | Speed | ThumbLength | Ticks

Applies to: NCTFlatSlider2


Orientation property (NCTFlatSlider2)

Orientation property (NCTFlatSlider2)

Gets or sets orientation of slider bar.

Property type

A OrientationEnum value.

Syntax

object.Orientation [= value]

The Orientation property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | OrientationEnum | Orientation of slider bar.

See Also:

Enabled | MousePointer | Speed | ThumbLength | Ticks

Applies to: NCTFlatSlider2


Speed property (NCTFlatSlider2)

Speed property (NCTFlatSlider2)

Gets or sets the speed of the moving slider.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Double | Can accept only positive values.

See Also:

Enabled | MousePointer | Orientation | ThumbLength | Ticks

Applies to: NCTFlatSlider2


ThumbLength property (NCTFlatSlider2)

ThumbLength property (NCTFlatSlider2)

Gets or sets the length of the slider thumb.

Property type

A Long value.

Syntax

object.ThumbLength [= value]

The ThumbLength property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Long | Length of slider thumb. Can accept only positive values.

See Also:

Enabled | MousePointer | Orientation | Speed | Ticks

Applies to: NCTFlatSlider2


Ticks property (NCTFlatSlider2)

Ticks property (NCTFlatSlider2)

Gets or sets a flag indicating if ticks are visible or not. Ticks show the center of the slider.

Property type

A Boolean value.

Syntax

object.Ticks [= value]

The Ticks property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Boolean | Can be True (ticks are visible) or False (ticks are invisible).

See Also:

Enabled | MousePointer | Orientation | Speed | ThumbLength

Applies to: NCTFlatSlider2


TrackBorderColor property (NCTFlatSlider2)

TrackBorderColor property (NCTFlatSlider2)

Gets or sets RGB color of track border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.TrackBorderColor [= value]

The TrackBorderColor property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | OLE_COLOR | Color of track border.

See Also:

TrackColor | TrackStyle | TrackWidth

Applies to: NCTFlatSlider2


TrackColor property (NCTFlatSlider2)

TrackColor property (NCTFlatSlider2)

Gets or sets RGB color of track using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.TrackColor [= value]

The TrackColor property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | OLE_COLOR | Color of track.

See Also:

TrackBorderColor | TrackStyle | TrackWidth

Applies to: NCTFlatSlider2


TrackStyle property (NCTFlatSlider2)

TrackStyle property (NCTFlatSlider2)

Gets or sets the type of the track border.

Property type

A BorderEnum value.

Syntax

object.TrackStyle [= value]

The TrackStyle property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | BorderEnum | Type of track border.

See Also:

TrackBorderColor | TrackColor | TrackWidth

Applies to: NCTFlatSlider2


TrackWidth property (NCTFlatSlider2)

TrackWidth property (NCTFlatSlider2)

Gets or sets the width of the slider track.

Property type

A Long value.

Syntax

object.TrackWidth [= value]

The TrackWidth property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Long | Width of slider track.

See Also:

TrackBorderColor | TrackColor | TrackStyle

Applies to: NCTFlatSlider2


Value property (NCTFlatSlider2)

Value property (NCTFlatSlider2)

Gets or sets value in slider.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
value | Long | A value.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly.

See Also:

Max | Min

Applies to: NCTFlatSlider2


NCTFlatSlider2 methods

NCTFlatSlider2 methods

Method | Description
Register | Enters user name and registration password to disable About window.
SetValue | Gets or sets value in slider.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTFlatSlider2


SetValue method

SetValue method

Gets or sets value in slider.

Syntax

object.SetValue(Value As Long)

The SetValue method syntax has these parts:

Part | Type | Description
object | NCTFlatSlider2 | An expression evaluating to an object.
Value | Long | A value.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly. SetValue method equals situation when property Value sets with property Speed = 0.

See Also:

Applies to: NCTFlatSlider2


NCTFlatSlider2 events

NCTFlatSlider2 events

Event | Description
MouseDown | Occurs when the user releases the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.
ValueChange | Occurs when Value property changes.


MouseDown event

MouseDown event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseDown()

See Also:

MouseUp

Applies to: NCTFlatSlider2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseDown

Applies to: NCTFlatSlider2


ValueChange event

ValueChange event

Occurs when Value property changes.

Syntax

Sub object_ValueChange(Value As Long)

The ValueChange event syntax has these named arguments:

Part | Type | Description
Value | Long | Value.

See Also:

Applies to: NCTFlatSlider2


NCTPlayButton2

NCTPlayButton2 object

The NCTPlayButton2 is a control center for playback, record and track choosing.


NCTPlayButton2 properties

NCTPlayButton2 properties

Property | Type | Default | Description
BorderVisible | Boolean |  | Gets or sets a flag indicating if the border is visible or not.
Color | OLE_COLOR |  | Gets or sets RGB color of the play button object using standard Windows palette.
Flat | Boolean |  | Gets or sets the type of the buttons.
MousePointer | MousePtrEnum |  | Gets or sets the type of the mouse pointer.
NextBtnEnabled | Boolean |  | Gets or sets a flag indicating if the button "Next" is enabled or not.
Pause | Boolean |  | Gets or sets a flag indicating if the button "Play" is changed to "Pause" or not.
PlayBtnEnabled | Boolean |  | Gets or sets a flag indicating if the button "Play" is enabled or not.
PreviousBtnEnabled | Boolean |  | Gets or sets a flag indicating if the button "Previous" is enabled or not.
RecordBtnEnabled | Boolean |  | Gets or sets a flag indicating if the button "Record" is enabled or not.
StopBtnEnabled | Boolean |  | Gets or sets a flag indicating if the button "Stop" is enabled or not.


BorderVisible property (NCTPlayButton2)

BorderVisible property (NCTPlayButton2)

Gets or sets a flag indicating if the border is visible or not.

Property type

A Boolean value.

Syntax

object.BorderVisible [= value]

The BorderVisible property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True (border is visible) or False (border is invisible).

See Also:

Color | Flat

Applies to: NCTPlayButton2


Color property (NCTPlayButton2)

Color property (NCTPlayButton2)

Gets or sets RGB color of the play button object using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.Color [= value]

The Color property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | OLE_COLOR | Color of object.

See Also:

BorderVisible | Flat

Applies to: NCTPlayButton2


Flat property (NCTPlayButton2)

Flat property (NCTPlayButton2)

Gets or sets the type of the buttons.

Property type

A Boolean value.

Syntax

object.Flat [= value]

The Flat property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True (buttons are flat) or False (buttons are raised).

See Also:

BorderVisible | Color

Applies to: NCTPlayButton2


MousePointer property (NCTPlayButton2)

MousePointer property (NCTPlayButton2)

Gets or sets the type of mouse pointer.

Property type

A MousePtrEnum value.

Syntax

object.MousePointer [= value]

The MousePointer property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | MousePtrEnum | Type of mouse pointer.

See Also:

Applies to: NCTPlayButton2


NextBtnEnabled property (NCTPlayButton2)

NextBtnEnabled property (NCTPlayButton2)

Gets or sets a flag indicating if the button "Next" is enabled or not.

Property type

A Boolean value.

Syntax

object.NextBtnEnabled [= value]

The NextBtnEnabled property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True (button "Next" is enabled) or False (button "Next" is disabled).

See Also:

Pause | PlayBtnEnabled | PreviousBtnEnabled | RecordBtnEnabled | StopBtnEnabled

Applies to: NCTPlayButton2


Pause property (NCTPlayButton2)

Pause property (NCTPlayButton2)

Gets or sets a flag indicating if the button "Play" is changed to "Pause" or not.

Property type

A Boolean value.

Syntax

object.Pause [= value]

The Pause property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True ("Pause" button is shown) or False ("Play" button is shown).

See Also:

NextBtnEnabled | PlayBtnEnabled | PreviousBtnEnabled | RecordBtnEnabled | StopBtnEnabled

Applies to: NCTPlayButton2


PlayBtnEnabled property (NCTPlayButton2)

PlayBtnEnabled property (NCTPlayButton2)

Gets or sets a flag indicating if the button "Play" is enabled or not.

Property type

A Boolean value.

Syntax

object.PlayBtnEnabled [= value]

The PlayBtnEnabled property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True (button "Play" is enabled) or False (button "Play" is disabled).

See Also:

NextBtnEnabled | Pause | PreviousBtnEnabled | RecordBtnEnabled | StopBtnEnabled

Applies to: NCTPlayButton2


PreviousBtnEnabled property (NCTPlayButton2)

PreviousBtnEnabled property (NCTPlayButton2)

Gets or sets a flag indicating if the button "Previous" is enabled or not.

Property type

A Boolean value.

Syntax

object.PreviousBtnEnabled [= value]

The PreviousBtnEnabled property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True (button "Previous" is enabled) or False (button "Previous" is disabled).

See Also:

NextBtnEnabled | Pause | PlayBtnEnabled | RecordBtnEnabled | StopBtnEnabled

Applies to: NCTPlayButton2


RecordBtnEnabled property (NCTPlayButton2)

RecordBtnEnabled property (NCTPlayButton2)

Gets or sets a flag indicating if the button "Record" is enabled or not.

Property type

A Boolean value.

Syntax

object.RecordBtnEnabled [= value]

The RecordBtnEnabled property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True (button "Record" is enabled) or False (button "Record" is disabled).

See Also:

NextBtnEnabled | Pause | PlayBtnEnabled | PreviousBtnEnabled | StopBtnEnabled

Applies to: NCTPlayButton2


StopBtnEnabled property (NCTPlayButton2)

StopBtnEnabled property (NCTPlayButton2)

Gets or sets a flag indicating if the button "Stop" is enabled or not.

Property type

A Boolean value.

Syntax

object.StopBtnEnabled [= value]

The StopBtnEnabled property syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
value | Boolean | Can be True (button "Stop" is enabled) or False (button "Stop" is disabled).

See Also:

NextBtnEnabled | Pause | PlayBtnEnabled | PreviousBtnEnabled | RecordBtnEnabled

Applies to: NCTPlayButton2


NCTPlayButton2 methods

NCTPlayButton2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTPlayButton2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTPlayButton2


NCTPlayButton2 events

NCTPlayButton2 events

Event | Description
MouseClick | Occurs when the user presses the left mouse button.
MouseDown | Occurs when the user presses the left mouse button.
MouseUp | Occurs when the user releases the left mouse button while an object has the focus.


MouseClick event

MouseClick event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseClick(CtlButton As Long)

The MouseClick event syntax has these named arguments:

Part | Type | Description
CtlButton | Long | Pointer location. Can be one of the following values: 0 - cursor is out of buttons, 1 - cursor is on "Play" button, 2 - cursor is on "Next" button, 3 - cursor is on "Record" button, 4 - cursor is on "Previous" button, 5 - cursor is on "Stop" button.

See Also:

MouseDown | MouseUp

Applies to: NCTPlayButton2


MouseDown event

MouseDown event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseDown(CtlButton As Long)

The MouseDown event syntax has these named arguments:

Part | Type | Description
CtlButton | Long | Pointer location. Can be one of the following values: 0 - cursor is out of buttons, 1 - cursor is on "Play" button, 2 - cursor is on "Next" button, 3 - cursor is on "Record" button, 4 - cursor is on "Previous" button, 5 - cursor is on "Stop" button.

See Also:

MouseClick | MouseUp

Applies to: NCTPlayButton2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button while an object has the focus.

Syntax

Sub object_MouseUp

See Also:

MouseClick | MouseDown

Applies to: NCTPlayButton2


NCTPlayButtonB2

NCTPlayButtonB2 object

The NCTPlayButton2 is a control center for playback, record, volume control and track choosing.


NCTPlayButtonB2 properties

NCTPlayButtonB2 properties

Property | Type | Default | Description
BorderColor | OLE_COLOR |  | Gets or sets RGB color of the border using standard Windows palette.
BorderStyle | BorderEnum |  | Gets or sets the type of the border.
EnableButtons | BYTE |  | Gets or sets bit-mask indicating if each button is enabled or not.
Enabled | Boolean |  | Gets or sets a flag indicating if the buttons are enabled or not.
ShowButtonRecord | Boolean |  | Gets or sets a flag indicating if the button "Record" is shown or not.
ShowPositionControls | Boolean |  | Gets or sets a flag indicating if the buttons "Back" and "Next" are shown or not.
ShowVolumeControls | Boolean |  | Gets or sets a flag indicating if the button "Volume" is shown or not.


BorderColor property (NCTPlayButtonB2)

BorderColor property (NCTPlayButtonB2)

Gets or sets RGB color of the border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BorderColor [= value]

The BorderColor property syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the border.

See Also:

BorderStyle

Applies to: NCTPlayButtonB2


BorderStyle property (NCTPlayButtonB2)

BorderStyle property (NCTPlayButtonB2)

Gets or sets the type of the border.

Property type

A BorderEnum value.

Syntax

object.BorderStyle [= value]

The BorderStyle property syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
value | BorderEnum | Type of border.

See Also:

BorderColor

Applies to: NCTPlayButtonB2


EnableButtons property (NCTPlayButtonB2)

EnableButtons property (NCTPlayButtonB2)

Gets or sets bit-mask indicating if each button is enabled or not.

Property type

A BYTE value.

Syntax

object.EnableButtons [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object of type .
value | BYTE | Logical sum of values (bit-mask) of enabled buttons. For example, 21 - "Play", "Stop" and "Position controls" buttons are enabled and the others are disabled (sum of 1, 4 and 16 values).

Value | Description
1 | "Play" button is enabled and the others are disabled.
2 | "Pause" button is enabled and the others are disabled.
4 | "Stop" button is enabled and the others are disabled.
8 | "Record" button is enabled and the others are disabled.
16 | "Position controls" buttons are enabled and the others are disabled.
32 | "Mute" button is enabled and the others are disabled.
64 | "Volume" button is enabled and the others are disabled.
127 | All buttons are enabled.
Other values | Sum of the values of the enabled buttons.

See Also:

Enabled

Applies to: NCTPlayButtonB2


Enabled property (NCTPlayButtonB2)

Enabled property (NCTPlayButtonB2)

Gets or sets a flag indicating if the buttons are enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object of type .
value | Boolean | Can be True (buttons are enabled) or False (buttons are disabled).

See Also:

EnableButtons

Applies to: NCTPlayButtonB2


Mute method

Mute property (NCTPlayButtonB2)

Gets or sets the degree of muting.

Property type

A Long value.

Syntax

object.Mute [= value]

The Mute method syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
value | Long | Degree of muting.

See Also:

Pause | Play | Record | Stop

Applies to: NCTPlayButtonB2


ShowButtonRecord property (NCTPlayButtonB2)

ShowButtonRecord property (NCTPlayButtonB2)

Gets or sets a flag indicating if the button "Record" is shown or not.

Property type

A Boolean value.

Syntax

object.ShowButtonRecord [= value]

The ShowButtonRecord property syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
value | Boolean | Can be True (button "Record" is shown) or False (button "Record" isn't shown).

See Also:

ShowPositionControls | ShowVolumeControls

Applies to: NCTPlayButtonB2


ShowPositionControls property (NCTPlayButtonB2)

ShowPositionControls property (NCTPlayButtonB2)

Gets or sets a flag indicating if the buttons "Back" and "Next" are shown or not.

Property type

A Boolean value.

Syntax

object.ShowPositionControls [= value]

The ShowPositionControls property syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
value | Boolean | Can be True (buttons "Back" and "Next" are shown) or False (buttons "Back" and "Next" aren't shown).

See Also:

ShowButtonRecord | ShowVolumeControls

Applies to: NCTPlayButtonB2


ShowVolumeControls property (NCTPlayButtonB2)

ShowVolumeControls property (NCTPlayButtonB2)

Gets or sets a flag indicating if the button "Volume" is shown or not.

Property type

A Boolean value.

Syntax

object.ShowVolumeControls [= value]

The ShowVolumeControls property syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
value | Boolean | Can be True (button "Volume" is shown) or False (button "Volume" isn't shown).

See Also:

ShowButtonRecord | ShowPositionControls

Applies to: NCTPlayButtonB2


NCTPlayButtonB2 methods

NCTPlayButtonB2 methods

Method | Description
ChangeVolume | Gets or sets the volume value.
Mute | Gets or sets the degree of muting.
Pause | Imitates mouse click to the "Pause" button.
Play | Imitates mouse click to the "Play" button.
Record | Imitates mouse click to the "Record" button.
Register | Enters user name and registration password to disable About window.
Stop | Imitates mouse click to the "Stop" button.


ChangeVolume method

ChangeVolume method

Gets or sets the volume value.

Syntax

object.ChangeVolume(Volume As Long)

The ChangeVolume method syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
Volume | Long | Volume value. Can take only positive values.

See Also:

Applies to: NCTPlayButtonB2


Pause method

Pause method

Imitates mouse click to the "Pause" button.

Syntax

object.Pause()

The Pause method syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.

See Also:

Mute | Play | Record | Stop

Applies to: NCTPlayButtonB2


Play method

Play method

Imitates mouse click to the "Play" button.

Syntax

object.Play()

The Play method syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.

See Also:

Mute | Pause | Record | Stop

Applies to: NCTPlayButtonB2


Record method

Record method

Imitates mouse click to the "Record" button.

Syntax

object.Record()

The Record method syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.

See Also:

Mute | Pause | Play | Stop

Applies to: NCTPlayButtonB2


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTPlayButtonB2


Stop method

Stop method

Imitates mouse click to the "Stop" button.

Syntax

object.Stop()

The Stop method syntax has these parts:

Part | Type | Description
object | NCTPlayButtonB2 | An expression evaluating to an object.

See Also:

Mute | Pause | Play | Record

Applies to: NCTPlayButtonB2


NCTPlayButtonB2 events

NCTPlayButtonB2 events

Event | Description
MouseClick | Occurs when the user presses the left mouse button.
MouseDown | Occurs when the user presses the left mouse button.
MouseUp | Occurs when the user presses the left mouse button.


MouseClick event

MouseClick event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseClick(Button As Long)

The MouseClick event syntax has these named arguments:

Part | Type | Description
Button | Long | Pointer location. Can be one of the following values: 0 - cursor is out of buttons, 1 - cursor is on "Play" button, 2 - cursor is on "Pause" button, 3 - cursor is on "Stop" button, 4 - cursor is on "Record" button, 5 - cursor is on "Previous" button, 6 - cursor is on "Next" button, 7 - cursor is on "Mute" button, 8 - cursor is on "Volume" button.

See Also:

MouseDown | MouseUp

Applies to: NCTPlayButtonB2


MouseDown event

MouseDown event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseDown(Button As Long)

The MouseDown event syntax has these named arguments:

Part | Type | Description
Button | Long | Pointer location. Can be one of the following values: 0 - cursor is out of buttons, 1 - cursor is on "Play" button, 2 - cursor is on "Pause" button, 3 - cursor is on "Stop" button, 4 - cursor is on "Record" button, 5 - cursor is on "Previous" button, 6 - cursor is on "Next" button, 7 - cursor is on "Mute" button, 8 - cursor is on "Volume" button.

See Also:

MouseClick | MouseUp

Applies to: NCTPlayButtonB2


MouseUp event

MouseUp event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseClick | MouseDown

Applies to: NCTPlayButtonB2


NCTSliderA2

NCTSliderA2 object

The NCTSliderA2 is a slider.


NCTSliderA2 properties

NCTSliderA2 properties

Property | Type | Default | Description
BackColor | OLE_COLOR |  | Gets or sets RGB color of background using standard Windows palette.
BorderColor | OLE_COLOR |  | Gets or sets RGB color of the border using standard Windows palette.
BorderStyle | BorderEnum |  | Gets or sets the type of the border.
Downed | Boolean |  | Gets or sets a flag indicating if slider is downed while pressing on it or not.
Enabled | Boolean |  | Gets or sets a flag indicating if the slider is enabled or not.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
MousePointer | MousePtrEnum |  | Gets or sets the type of the mouse pointer.
Orientation | OrientationEnum |  | Gets or sets orientation of slider bar.
PushEnabled | Boolean |  | Gets or sets a flag indicating if the slider moves with a push or not.
Size | SliderSizeEnum |  | Gets or sets the size of slider.
Speed | Double |  | Gets or sets the speed of the moving slider.
Value | Long |  | Gets or sets value in slider.


BackColor property (NCTSliderA2)

BackColor property (NCTSliderA2)

Gets or sets RGB color of background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BackColor [= value]

The BackColor property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | OLE_COLOR | Color of background.

See Also:

Downed | Enabled | Orientation | PushEnabled | Size | Speed

Applies to: NCTSliderA2


BorderColor property (NCTSliderA2)

BorderColor property (NCTSliderA2)

Gets or sets RGB color of the border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BorderColor [= value]

The BorderColor property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the border.

See Also:

BorderStyle

Applies to: NCTSliderA2


BorderStyle property (NCTSliderA2)

BorderStyle property (NCTSliderA2)

Gets or sets the type of the border.

Property type

A BorderEnum value.

Syntax

object.BorderStyle [= value]

The BorderStyle property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | BorderEnum | Type of border.

See Also:

BorderColor

Applies to: NCTSliderA2


Enabled property (NCTSliderA2)

Enabled property (NCTSliderA2)

Gets or sets a flag indicating if the slider is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | Boolean | Can be True (slider is enabled) or False (slider is disabled).

See Also:

BackColor | Downed | Orientation | PushEnabled | Size | Speed

Applies to: NCTSliderA2


Max property (NCTSliderA2)

Max property (NCTSliderA2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | Long | Maximal value.

See Also:

Min | Value

Applies to: NCTSliderA2


Min property (NCTSliderA2)

Min property (NCTSliderA2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | Long | Minimal value.

See Also:

Max | Value

Applies to: NCTSliderA2


MousePointer property (NCTSliderA2)

MousePointer property (NCTSliderA2)

Gets or sets the type of the mouse pointer.

Property type

A MousePtrEnum value.

Syntax

object.MousePointer [= value]

The MousePointer property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | MousePtrEnum | Type of mouse pointer.

See Also:

Applies to: NCTSliderA2


Orientation property (NCTSliderA2)

Orientation property (NCTSliderA2)

Gets or sets orientation of slider bar.

Property type

A OrientationEnum value.

Syntax

object.Orientation [= value]

The Orientation property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | OrientationEnum | Orientation of slider bar.

See Also:

BackColor | Downed | Enabled | PushEnabled | Size | Speed

Applies to: NCTSliderA2


PushEnabled property (NCTSliderA2)

PushEnabled property (NCTSliderA2 object)

Gets or sets a flag indicating if the slider moves with a push or not.

Property type

A Boolean value.

Syntax

object.PushEnabled [= value]

The PushEnabled property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | Boolean | True if push is enabled, otherwise - False (smooth shift from one slider value to another).

See Also:

BackColor | Downed | Enabled | Orientation | Size | Speed

Applies to: NCTSliderA2

Send Feedback on the NCTAudioDesign2 documentation.
NCTAudioDesign2 was developed by NCT company http://www.nctsoft.com


Size property (NCTSliderA2)

Size property (NCTSliderA2)

Gets or sets the size of slider.

Property type

A SliderSizeEnum value.

Syntax

object.Size [= value]

The Size property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | SliderSizeEnum | Size of slider.

See Also:

BackColor | Downed | Enabled | Orientation | PushEnabled | Speed

Applies to: NCTSliderA2


Speed property (NCTSliderA2)

Speed property (NCTSliderA2)

Gets or sets the speed of the moving slider.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | Double | Speed of the moving slider. Can accept only positive values.

See Also:

BackColor | Downed | Enabled | Orientation | PushEnabled | Size

Applies to: NCTSliderA2


Value property (NCTSliderA2)

Value property (NCTSliderA2)

Gets or sets value in slider.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | Long | Value.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly. If Value is changing then ValueChange event is generated.

See Also:

Max | Min

Applies to: NCTSliderA2


NCTSliderA2 methods

NCTSliderA2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTSliderA2


NCTSliderA2 events

NCTSliderA2 events

Event | Description
MouseDown | Occurs when the user presses the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.
ValueChange | Occurs when Value property changes.


MouseDown event

MouseDown event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseDown()

See Also:

MouseUp

Applies to: NCTSliderA2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseDown

Applies to: NCTSliderA2


ValueChange event

ValueChange event

Occurs when Value property changes.

Syntax

Sub object_ValueChange(Value As Long)

The ValueChange event syntax has these named arguments:

Part | Type | Description
Value | Long | Value.

See Also:

Applies to: NCTSliderA2


NCTSliderB2

NCTSliderB2 object

The NCTSliderB2 is a slider.


NCTSliderB2 properties

NCTSliderB2 properties

Property | Type | Default | Description
BackColor | OLE_COLOR |  | Gets or sets RGB color of background using standard Windows palette.
BorderColor | OLE_COLOR |  | Gets or sets RGB color of the border using standard Windows palette.
BorderStyle | BorderEnum |  | Gets or sets the type of the border.
Enabled | Boolean |  | Gets or sets a flag indicating if the slider is enabled or not.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
MousePointer | MousePtrEnum |  | Gets or sets the type of the mouse pointer.
Orientation | OrientationEnum |  | Gets or sets orientation of slider bar.
Speed | Double |  | Gets or sets the speed of the moving slider.
StripColor | OLE_COLOR |  | Gets or sets RGB color of strips using standard Windows palette.
Value | Long |  | Gets or sets value in slider.


BackColor property (NCTSliderB2)

BackColor property (NCTSliderB2)

Gets or sets RGB color of background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BackColor [= value]

The BackColor property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | OLE_COLOR | Color of background.

See Also:

Enabled | Orientation | Speed | StripColor

Applies to: NCTSliderB2


BorderColor property (NCTSliderB2)

BorderColor property (NCTSliderB2)

Gets or sets RGB color of the border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BorderColor [= value]

The BorderColor property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the border.

See Also:

BorderStyle

Applies to: NCTSliderB2


BorderStyle property (NCTSliderB2)

BorderStyle property (NCTSliderB2)

Gets or sets the type of the border.

Property type

A BorderEnum value.

Syntax

object.BorderStyle [= value]

The BorderStyle property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | BorderEnum | Type of border.

See Also:

BorderColor

Applies to: NCTSliderB2


Enabled property (NCTSliderB2)

Enabled property (NCTSliderB2)

Gets or sets a flag indicating if the slider is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | Boolean | Can be True (slider is enabled) or False (slider is disabled).

See Also:

BackColor | Orientation | Speed | StripColor

Applies to: NCTSliderB2


Max property (NCTSliderB2)

Max property (NCTSliderB2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | Long | Maximal value.

See Also:

Min | Value

Applies to: NCTSliderB2


Min property (NCTSliderB2)

Min property (NCTSliderB2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | Long | Minimal value.

See Also:

Max | Value

Applies to: NCTSliderB2


MousePointer property (NCTSliderB2)

MousePointer property (NCTSliderB2)

Gets or sets the type of mouse pointer.

Property type

A MousePtrEnum value.

Syntax

object.MousePointer [= value]

The MousePointer property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | MousePtrEnum | Type of mouse pointer.

See Also:

Applies to: NCTSliderB2


Orientation property (NCTSliderB2)

Orientation property (NCTSliderB2)

Gets or sets orientation of slider bar.

Property type

A OrientationEnum value.

Syntax

object.Orientation [= value]

The Orientation property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | OrientationEnum | Orientation of slider bar.

See Also:

BackColor | Enabled | Speed | StripColor

Applies to: NCTSliderB2


Speed property (NCTSliderB2)

Speed property (NCTSliderB2)

Gets or sets speed of the moving slider.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | Double | Speed of the moving slider. Can accept only positive values.

See Also:

BackColor | Enabled | Orientation | StripColor

Applies to: NCTSliderB2


StripColor property (NCTSliderB2)

StripColor property (NCTSliderB2)

Gets or sets RGB color of strips using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.StripColor [= value]

The StripColor property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | OLE_COLOR | Color of strips.

See Also:

BackColor | Enabled | Orientation | Speed

Applies to: NCTSliderB2


Value property (NCTSliderB2)

Value property (NCTSliderB2)

Gets or sets value in slider.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
value | Long | Value in slider.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly. If Value changes then ValueChange event is generated.

See Also:

Max | Min

Applies to: NCTSliderB2


NCTSliderB2 methods

NCTSliderB2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTSliderB2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTSliderB2


NCTSliderB2 events

NCTSliderB2 events

Event | Description
MouseDown | Occurs when the user presses the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.
ValueChange | Occurs when Value property changes.


MouseDown event

MouseDown event

Occurs when the user presses the mouse button.

Syntax

Sub object_MouseDown()

See Also:

MouseUp

Applies to: NCTSliderB2


MouseUp event

MouseUp event

Occurs when the user releases the mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseDown

Applies to: NCTSliderB2


ValueChange event

ValueChange event

Occurs when Value property changes.

Syntax

Sub object_ValueChange(Value As Long)

The ValueChange event syntax has these named arguments:

Part | Type | Description
Value | Long | Value.

See Also:

Applies to: NCTSliderB2


NCTStepButton2

NCTStepButton2 object

The NCTStepButton2 is a control for changing Volume of the playback or Gain of the record.


NCTStepButton2 properties

NCTStepButton2 properties

Property | Type | Default | Description
Color | OLE_COLOR |  | Gets or sets RGB color of step button object using standard Windows palette.
Enabled | Boolean |  | Gets or sets a flag indicating if the button is enabled or not.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
MousePointer | MousePtrEnum |  | Gets or sets the type of the mouse pointer.
Speed | Double |  | Gets or sets the speed of button rotation.
Value | Long |  | Gets or sets value of amplitude.


Color property (NCTStepButton2)

Color property (NCTStepButton2)

Gets or sets RGB color of step button object using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.Color [= value]

The Color property syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.
value | OLE_COLOR | Color of step button.

See Also:

Enabled | Speed

Applies to: NCTStepButton2


Enabled property (NCTStepButton2)

Enabled property (NCTStepButton2)

Gets or sets a flag indicating if the button is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.
value | Boolean | Can be True (button is enabled) or False (button is disabled).

See Also:

Color | Speed

Applies to: NCTStepButton2


Max property (NCTStepButton2)

Max property (NCTStepButton2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object of type .
value | Long | Maximal value.

See Also:

Min | Value

Applies to: NCTStepButton2


Min property (NCTStepButton2)

Min property (NCTStepButton2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.
value | Long | Minimal value.

See Also:

Max | Value

Applies to: NCTStepButton2


MousePointer property (NCTStepButton2)

MousePointer property (NCTStepButton2)

Gets or sets the type of the mouse pointer.

Property type

A MousePtrEnum value.

Syntax

object.MousePointer [= value]

The MousePointer property syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.
value | MousePtrEnum | Type of mouse pointer.

See Also:

Applies to: NCTStepButton2


Speed property (NCTStepButton2)

Speed property (NCTStepButton2)

Gets or sets the speed of button rotation.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.
value | Double | Speed of button rotation.

Remarks:

This property can accept only positive values.

See Also:

Color | Enabled

Applies to: NCTStepButton2


Value property (NCTStepButton2)

Value property (NCTStepButton2)

Gets or sets value of amplitude.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.
value | Long | A value.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly.

See Also:

Max | Min

Applies to: NCTStepButton2


NCTStepButton2 methods

NCTStepButton2 methods

Method | Description
Register | Enters user name and registration password to disable About window.
ScrollMinus | Rotates button counter clockwise.
ScrollPlus | Rotates button clockwise.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTStepButton2


ScrollMinus method

ScrollMinus method

Rotates button counter clockwise.

Syntax

object.ScrollMinus()

The ScrollMinus method syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.

See Also:

ScrollPlus

Applies to: NCTStepButton2


ScrollPlus method

ScrollPlus method

Rotates button clockwise.

Syntax

object.ScrollPlus()

The ScrollPlus method syntax has these parts:

Part | Type | Description
object | NCTStepButton2 | An expression evaluating to an object.

See Also:

ScrollMinus

Applies to: NCTStepButton2


NCTStepButton2 events

NCTStepButton2 events

Event | Description
MouseClick | Occurs when the user presses the left mouse button.
MouseDown | Occurs when the user presses the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.
ValueChange | Occurs when Value property changes.


MouseClick event

MouseClick event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseClick(InButton As Boolean)

The MouseClick event syntax has these named arguments:

Part | Type | Description
InButton | Boolean | Pointer location. Can be True (pointer is on button) or False (pointer is out of button).

See Also:

MouseDown | MouseUp

Applies to: NCTStepButton2


MouseDown event

MouseDown event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseDown(InButton As Boolean)

The MouseDown event syntax has these named arguments:

Part | Type | Description
InButton | Boolean | Pointer location. Can be True (pointer is on button) or False (pointer is out of button).

See Also:

MouseClick | MouseUp

Applies to: NCTStepButton2


MouseUp event

MouseUp event

Occurs when the user releases the mouse button while an object has the focus.

Syntax

Sub object_MouseUp()

See Also:

MouseClick | MouseDown

Applies to: NCTStepButton2


ValueChange event

ValueChange event

Occurs when Value property changes.

Syntax

Sub object_ValueChange(Value As Long)

The ValueChange event syntax has these named arguments:

Part | Type | Description
Value | Long | Value.

See Also:

Applies to: NCTStepButton2


NCTTimeDisplay2

NCTTimeDisplay2 object

The NCTTimeDisplay2 is a control for showing time display.


NCTTimeDisplay2 properties

NCTTimeDisplay2 properties

Property | Type | Default | Description
BorderColor | OLE_COLOR |  | Gets or sets RGB color of the border using standard Windows palette.
BorderStyle | BorderEnum |  | Gets or sets the type of the border.
DigitColor | OLE_COLOR |  | Gets or sets RGB color of the digits using standard Windows palette.
DigitStyle | DigitEnum |  | Gets or sets the type of the digits.
DisplayColor | OLE_COLOR |  | Gets or sets RGB color of display using standard Windows palette.
Hours | Long |  | Gets or sets the number of hours.
InscriptionsColor | OLE_COLOR |  | Gets or sets RGB color of inscriptions using standard Windows palette.
Milliseconds | Long |  | Gets or sets the number of milliseconds.
Minutes | Long |  | Gets or sets the number of minutes.
Seconds | Long |  | Gets or sets the number of seconds.
ShowHours | Boolean |  | Gets or sets a flag indicating if the hours are shown or not.
ShowInscriptions | Boolean |  | Gets or sets a flag indicating if the inscriptions are shown or not.
ShowMilliseconds | Boolean |  | Gets or sets a flag indicating if the milliseconds are shown or not.
ShowMinutes | Boolean |  | Gets or sets a flag indicating if the minutes are shown or not.
ShowSeconds | Boolean |  | Gets or sets a flag indicating if the seconds are shown or not.


BorderColor property (NCTTimeDisplay2)

BorderColor property (NCTTimeDisplay2)

Gets or sets RGB color of the border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BorderColor [= value]

The BorderColor property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the border.

See Also:

BorderStyle | DigitColor | DigitStyle | DisplayColor | InscriptionsColor | ShowInscriptions

Applies to: NCTTimeDisplay2


BorderStyle property (NCTTimeDisplay2)

BorderStyle property (NCTTimeDisplay2)

Gets or sets the type of the border.

Property type

A BorderEnum value.

Syntax

object.BorderStyle [= value]

The BorderStyle property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | BorderEnum | Type of border.

See Also:

BorderColor | DigitColor | DigitStyle | DisplayColor | InscriptionsColor | ShowInscriptions

Applies to: NCTTimeDisplay2


DigitColor property (NCTTimeDisplay2)

DigitColor property (NCTTimeDisplay2)

Gets or sets RGB color of the digits using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.DigitColor [= value]

The DigitColor property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | OLE_COLOR | Color of the digits.

See Also:

BorderColor | BorderStyle | DigitStyle | DisplayColor | InscriptionsColor | ShowInscriptions

Applies to: NCTTimeDisplay2


DigitStyle property (NCTTimeDisplay2)

DigitStyle property (NCTTimeDisplay2)

Gets or sets the type of the digits.

Property type

A DigitEnum value.

Syntax

object.DigitStyle [= value]

The DigitStyle property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | DigitEnum | Type of the digits.

See Also:

BorderColor | BorderStyle | DigitColor | DisplayColor | InscriptionsColor | ShowInscriptions

Applies to: NCTTimeDisplay2


DisplayColor property (NCTTimeDisplay2)

DisplayColor property (NCTTimeDisplay2)

Gets or sets RGB color of display using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.DisplayColor [= value]

The DisplayColor property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | OLE_COLOR | Color of display.

See Also:

BorderColor | BorderStyle | DigitColor | DigitStyle | InscriptionsColor | ShowInscriptions

Applies to: NCTTimeDisplay2


Hours property (NCTTimeDisplay)

Hours property (NCTTimeDisplay)

Gets or sets the number of hours.

Property type

A Long value.

Syntax

object.Hours [= value]

The Hours property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay | An expression evaluating to an object.
value | Long | Number of hours.

See Also:

Milliseconds | Minutes | Seconds | ShowHours | ShowMilliseconds | ShowMinutes | ShowSeconds

Applies to: NCTTimeDisplay2


InscriptionsColor property (NCTTimeDisplay2)

InscriptionsColor property (NCTTimeDisplay2)

Gets or sets RGB color of inscriptions using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.InscriptionsColor [= value]

The InscriptionsColor property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | OLE_COLOR | Color of inscriptions.

See Also:

BorderColor | BorderStyle | DigitColor | DigitStyle | DisplayColor | ShowInscriptions

Applies to: NCTTimeDisplay2


Milliseconds property (NCTTimeDisplay2)

Milliseconds property (NCTTimeDisplay2)

Gets or sets the number of milliseconds.

Property type

A Long value.

Syntax

object.Milliseconds [= value]

The Milliseconds property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | Long | Number of milliseconds.

See Also:

Hours | Minutes | Seconds | ShowHours | ShowMilliseconds | ShowMinutes | ShowSeconds

Applies to: NCTTimeDisplay2


Minutes property (NCTTimeDisplay2)

Minutes property (NCTTimeDisplay2)

Gets or sets the number of minutes.

Property type

A Long value.

Syntax

object.Minutes [= value]

The Minutes property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | Long | Number of minutes.

See Also:

Hours | Milliseconds | Seconds | ShowHours | ShowMilliseconds | ShowMinutes | ShowSeconds

Applies to: NCTTimeDisplay2


Seconds property (NCTTimeDisplay2)

Seconds property (NCTTimeDisplay2)

Gets or sets the number of seconds.

Property type

A Long value.

Syntax

object.Seconds [= value]

The Seconds property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | Long | Number of seconds.

See Also:

Hours | Milliseconds | Minutes | ShowHours | ShowMilliseconds | ShowMinutes | ShowSeconds

Applies to: NCTTimeDisplay2


ShowHours property (NCTTimeDisplay)

ShowHours property (NCTTimeDisplay)

Gets or sets a flag indicating if the hours are shown or not.

Property type

A Boolean value.

Syntax

object.ShowHours [= value]

The ShowHours property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay | An expression evaluating to an object.
value | Boolean | Can be True (hours are shown) or False (hours aren't shown).

See Also:

Hours | Milliseconds | Minutes | Seconds | ShowMilliseconds | ShowMinutes | ShowSeconds

Applies to: NCTTimeDisplay2


ShowInscriptions property (NCTTimeDisplay2)

ShowInscriptions property (NCTTimeDisplay2)

Gets or sets a flag indicating if the inscriptions are shown or not.

Property type

A Boolean value.

Syntax

object.ShowInscriptions [= value]

The ShowInscriptions property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | Boolean | Can be True (inscriptions are shown) or False (inscriptions aren't shown).

See Also:

BorderColor | BorderStyle | DigitColor | DigitStyle | DisplayColor | InscriptionsColor

Applies to: NCTTimeDisplay2


ShowMilliseconds property (NCTTimeDisplay2)

ShowMilliseconds property (NCTTimeDisplay2)

Gets or sets a flag indicating if the milliseconds are shown or not.

Property type

A Boolean value.

Syntax

object.ShowMilliseconds [= value]

The ShowMilliseconds property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | Boolean | Can be True (milliseconds are shown) or False (milliseconds aren't shown).

See Also:

Hours | Milliseconds | Minutes | Seconds | ShowHours | ShowMinutes | ShowSeconds

Applies to: NCTTimeDisplay2


ShowMinutes property (NCTTimeDisplay2)

ShowMinutes property (NCTTimeDisplay2)

Gets or sets a flag indicating if the minutes are shown or not.

Property type

A Boolean value.

Syntax

object.ShowMinutes [= value]

The ShowMinutes property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | Boolean | Can be True (minutes are shown) or False (minutes aren't shown).

See Also:

Hours | Milliseconds | Minutes | Seconds | ShowHours | ShowMilliseconds | ShowSeconds

Applies to: NCTTimeDisplay2


ShowSeconds property (NCTTimeDisplay2)

ShowSeconds property (NCTTimeDisplay2)

Gets or sets a flag indicating if the seconds are shown or not.

Property type

A Boolean value.

Syntax

object.ShowSeconds [= value]

The ShowSeconds property syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
value | Boolean | Can be True (seconds are shown) or False (seconds aren't shown).

See Also:

Hours | Milliseconds | Minutes | Seconds | ShowHours | ShowMilliseconds | ShowMinutes

Applies to: NCTTimeDisplay2


NCTTimeDisplay2 methods

NCTTimeDisplay2 methods

Method | Description
Register | Enters user name and registration password to disable About window.
SetTime | Sets the following properties for the current values every millisec milliseconds: Hours, Minutes, Seconds, Milliseconds.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | ImageView | An expression evaluating to an object of type .
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTTimeDisplay2


SetTime method

SetTime method

Sets the following properties for the current values every millisec milliseconds: Hours, Minutes, Seconds, Milliseconds.

Syntax

object.SetTime(millisec As Long)

The SetTime method syntax has these parts:

Part | Type | Description
object | NCTTimeDisplay2 | An expression evaluating to an object.
millisec | Long | Period of changing.

See Also:

Applies to: NCTTimeDisplay2


NCTVolumeButtonA2

NCTVolumeButtonA2 object

The NCTVolumeButtonA2 is a control for changing Volume of the playback.


NCTVolumeButtonA2 properties

NCTVolumeButtonA2 properties

Property | Type | Default | Description
BorderVisible | Boolean |  | Gets or sets a flag indicating if the border is visible or not.
Color | OLE_COLOR |  | Gets or sets RGB color of volume button object using standard Windows palette.
Enabled | Boolean |  | Gets or sets a flag indicating if the button is enabled or not.
Flat | Boolean |  | Gets or sets the type of the buttons.
IndColor | IndColorEnum |  | Gets or sets indicator color.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
MousePointer | MousePtrEnum |  | Gets or sets the type of the mouse pointer.
Speed | Double |  | Gets or sets the speed of button rotation.
StartPos | Double |  | Gets or sets the starting position of the button.
Value | Long |  | Gets or sets value in button.


BorderVisible property (NCTVolumeButtonA2)

BorderVisible property (NCTVolumeButtonA2)

Gets or sets a flag indicating if the border is visible or not.

Property type

A Boolean value.

Syntax

object.BorderVisible [= value]

The BorderVisible property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Boolean | Can be True (border is visible) or False (border is invisible).

See Also:

Color | Enabled | Flat | IndColor | Speed | StartPos

Applies to: NCTVolumeButtonA2


Color property (NCTVolumeButtonA2)

Color property (NCTVolumeButtonA2)

Gets or sets RGB color of volume button object using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.Color [= value]

The Color property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | OLE_COLOR | Color of volume button.

See Also:

BorderVisible | Enabled | Flat | IndColor | Speed | StartPos

Applies to: NCTVolumeButtonA2


Enabled property (NCTVolumeButtonA2)

Enabled property (NCTVolumeButtonA2)

Gets or sets a flag indicating if the button is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Boolean | Can be True (button is enabled) or False (button is disabled).

See Also:

BorderVisible | Color | Flat | IndColor | Speed | StartPos

Applies to: NCTVolumeButtonA2


Flat property (NCTVolumeButtonA2)

Flat property (NCTVolumeButtonA2)

Gets or sets the type of the buttons.

Property type

A Boolean value.

Syntax

object.Flat [= value]

The Flat property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Boolean | Can be True (buttons are flat) or False (buttons are raised).

See Also:

BorderVisible | Color | Enabled | IndColor | Speed | StartPos

Applies to: NCTVolumeButtonA2


IndColor property (NCTVolumeButtonA2)

IndColor property (NCTVolumeButtonA2)

Gets or sets indicator color.

Property type

A IndColorEnum value.

Syntax

object.IndColor [= value]

The IndColor property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | IndColorEnum | Color of indicator.

See Also:

BorderVisible | Color | Enabled | Flat | Speed | StartPos

Applies to: NCTVolumeButtonA2


Max property (NCTVolumeButtonA2)

Max property (NCTVolumeButtonA2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Long | Maximal value.

See Also:

Min | Value

Applies to: NCTVolumeButtonA2


Min property (NCTVolumeButtonA2)

Min property (NCTVolumeButtonA2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Long | Minimal value.

See Also:

Max | Value

Applies to: NCTVolumeButtonA2


MousePointer property (NCTVolumeButtonA2)

MousePointer property (NCTVolumeButtonA2)

Gets or sets the type of the mouse pointer.

Property type

A MousePtrEnum value.

Syntax

object.MousePointer [= value]

The MousePointer property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | MousePtrEnum | Type of mouse pointer.

See Also:

Applies to: NCTVolumeButtonA2


Speed property (NCTVolumeButtonA2)

Speed property (NCTVolumeButtonA2)

Gets or sets the speed of button rotation.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Double | Speed of button rotation. Can take only positive values.

See Also:

BorderVisible | Color | Enabled | Flat | IndColor | StartPos

Applies to: NCTVolumeButtonA2


StartPos property (NCTVolumeButtonA2)

StartPos property (NCTVolumeButtonA2)

Gets or sets the starting position of the button.

Property type

A Double value.

Syntax

object.StartPos [= value]

The StartPos property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Double | Starting position.

See Also:

BorderVisible | Color | Enabled | Flat | IndColor | Speed

Applies to: NCTVolumeButtonA2


Value property (NCTVolumeButtonA2)

Value property (NCTVolumeButtonA2)

Gets or sets value in button.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
value | Long | Value in button.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly.

See Also:

Max | Min

Applies to: NCTVolumeButtonA2


NCTVolumeButtonA2 methods

NCTVolumeButtonA2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonA2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTVolumeButtonA2


NCTVolumeButtonA2 events

NCTVolumeButtonA2 events

Event | Description
MouseClick | Occurs when the user presses the left mouse button.
MouseDown | Occurs when the user presses the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.
ValueChange | Occurs when Value property changes.


MouseClick event

MouseClick event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseClick(InButton As Boolean)

The MouseClick event syntax has these named arguments:

Part | Type | Description
InButton | Boolean | Can be True (pointer is on button) or False (pointer is out of button).

See Also:

MouseDown | MouseUp

Applies to: NCTVolumeButtonA2


MouseDown event

MouseDown event

Occurs when the user presses the mouse button.

Syntax

Sub object_MouseDown(InButton As Boolean)

The MouseDown event syntax has these named arguments:

Part | Type | Description
InButton | Boolean | Can be True (pointer is on button) or False (pointer is out of button).

See Also:

MouseClick | MouseUp

Applies to: NCTVolumeButtonA2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseClick | MouseDown

Applies to: NCTVolumeButtonA2


ValueChange event

ValueChange event

Occurs when Value property changes.

Syntax

Sub object_ValueChange(Value As Long)

The ValueChange event syntax has these named arguments:

Part | Type | Description
Value | Long | Value.

See Also:

Applies to: NCTVolumeButtonA2


NCTVolumeButtonB2

NCTVolumeButtonB2 object

The NCTVolumeButtonB2 is a control for changing Volume of the playback.


NCTVolumeButtonB2 properties

NCTVolumeButtonB2 properties

Property | Type | Default | Description
Enabled | Boolean |  | Gets or sets a flag indicating if the button is enabled or not.
FaceColor | OLE_COLOR |  | Gets or sets RGB color of face surface using standard Windows palette.
Flat | Boolean |  | Gets or sets the type of the buttons.
HighlidhtColor | OLE_COLOR |  | Gets or sets RGB color of contour using standard Windows palette.
Max | Long |  | Gets or sets the maximal value for Value property.
Min | Long |  | Gets or sets the minimal value for Value property.
MousePointer | MousePtrEnum |  | Gets or sets the type of mouse pointer.
ShadowColor | OLE_COLOR |  | Gets or sets RGB color of shadow using standard Windows palette.
Speed | Double |  | Gets or sets the speed of the moving button.
Style | VBStyleEnum |  | Gets or sets style of Volume button.
Value | Long |  | Gets or sets value of Volume in button.


Enabled property (NCTVolumeButtonB2)

Enabled property (NCTVolumeButtonB2)

Gets or sets a flag indicating if the button is enabled or not.

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | Boolean | Can be True (slider is enabled) or False (slider is disabled).

See Also:

FaceColor | Flat | HighlidhtColor | ShadowColor | Speed | Style

Applies to: NCTVolumeButtonB2


FaceColor property (NCTVolumeButtonB2)

FaceColor property (NCTVolumeButtonB2)

Gets or sets RGB color of face surface using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.FaceColor [= value]

The FaceColor property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | OLE_COLOR | Color of face surface.

See Also:

Enabled | Flat | HighlidhtColor | ShadowColor | Speed | Style

Applies to: NCTVolumeButtonB2


Flat property (NCTVolumeButtonB2)

Flat property (NCTVolumeButtonB2)

Gets or sets the type of the button.

Property type

A Boolean value.

Syntax

object.Flat [= value]

The Flat property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | Boolean | Can be True (buttons are flat) or False (buttons are raised).

See Also:

Enabled | FaceColor | HighlidhtColor | ShadowColor | Speed | Style

Applies to: NCTVolumeButtonB2


HighlidhtColor property (NCTVolumeButtonB2)

HighlidhtColor property (NCTVolumeButtonB2)

Gets or sets RGB color of contour using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.HighlidhtColor [= value]

The HighlidhtColor property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | OLE_COLOR | Color of contour.

See Also:

Enabled | FaceColor | Flat | ShadowColor | Speed | Style

Applies to: NCTVolumeButtonB2


Max property (NCTVolumeButtonB2)

Max property (NCTVolumeButtonB2)

Gets or sets the maximal value for Value property.

Property type

A Long value.

Syntax

object.Max [= value]

The Max property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | Long | Maximal value.

See Also:

Min | Value

Applies to: NCTVolumeButtonB2


Min property (NCTVolumeButtonB2)

Min property (NCTVolumeButtonB2)

Gets or sets the minimal value for Value property.

Property type

A Long value.

Syntax

object.Min [= value]

The Min property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | Long | Minimal value.

See Also:

Max | Value

Applies to: NCTVolumeButtonB2


MousePointer property (NCTVolumeButtonB2)

MousePointer property (NCTVolumeButtonB2)

Gets or sets the type of mouse pointer.

Property type

A MousePtrEnum value.

Syntax

object.MousePointer [= value]

The MousePointer property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | MousePtrEnum | Type of mouse pointer.

See Also:

Applies to: NCTVolumeButtonB2


ShadowColor property (NCTVolumeButtonB2)

ShadowColor property (NCTVolumeButtonB2)

Gets or sets RGB color of shadow using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.ShadowColor [= value]

The ShadowColor property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | OLE_COLOR | Color of shadow.

See Also:

Enabled | FaceColor | Flat | HighlidhtColor | Speed | Style

Applies to: NCTVolumeButtonB2


Speed property (NCTVolumeButtonB2)

Speed property (NCTVolumeButtonB2)

Gets or sets the speed of the moving button.

Property type

A Double value.

Syntax

object.Speed [= value]

The Speed property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | Double | The speed of the moving button. Can accept only positive values.

See Also:

Enabled | FaceColor | Flat | HighlidhtColor | ShadowColor | Style

Applies to: NCTVolumeButtonB2


Style property (NCTVolumeButtonB2)

Style property (NCTVolumeButtonB2)

Gets or sets style of Volume button.

Property type

A VBStyleEnum value.

Syntax

object.Style [= value]

The Style property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | VBStyleEnum | Style of Volume button.

See Also:

Enabled | FaceColor | Flat | HighlidhtColor | ShadowColor | Speed

Applies to: NCTVolumeButtonB2


Value property (NCTVolumeButtonB2)

Value property (NCTVolumeButtonB2)

Gets or sets value of Volume in button.

Property type

A Long value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
value | Long | Value of Volume in button.

Remarks:

Maximal and minimal values are set by Max and Min properties accordingly.

See Also:

Max | Min

Applies to: NCTVolumeButtonB2


NCTVolumeButtonB2 methods

NCTVolumeButtonB2 methods

Method | Description
Register | Enters user name and registration password to disable About window.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | NCTVolumeButtonB2 | An expression evaluating to an object.
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

See Also:

Applies to: NCTVolumeButtonB2


NCTVolumeButtonB2 events

NCTVolumeButtonB2 events

Event | Description
MouseDown | Occurs when the user presses the left mouse button.
MouseUp | Occurs when the user releases the left mouse button.
ValueChange | Occurs when Value property changes.


MouseDown event

MouseDown event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseDown()

See Also:

MouseUp

Applies to: NCTVolumeButtonB2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseUp()

See Also:

MouseDown

Applies to: NCTVolumeButtonB2


ValueChange event

ValueChange event

Occurs when Value property changes.

Syntax

Sub object_ValueChange(Value As Long)

The ValueChange event syntax has these named arguments:

Part | Type | Description
Value | Long | Value.

See Also:

Applies to: NCTVolumeButtonB2


NCTAudioDesign2 constants

NCTAudioDesign2 constants

Constants | Description
BorderEnum | These are the constants for the following properties: BorderStyle property (NCTAmpBar2), BorderStyle property (NCTEqualizer2), TrackStyle property (NCTFlatSlider2), BorderStyle property (NCTPlayButtonB2), BorderStyle property (NCTSliderA2), BorderStyle property (NCTSliderB2), BorderStyle property (NCTTimeDisplay2).
ColorStyleEnum | These are the constants for the Style property (NCTAmpBar2).
DigitEnum | These are the constants for the DigitStyle property (NCTTimeDisplay2).
EqualizerSliderEnum | These are the constants for the SliderType property (NCTEqualizer2).
IndColorEnum | These are the constants for IndColor property (NCTVolumeButtonA2).
MousePtrEnum | These are the constants for the following properties: MousePointer property (NCTFlatSlider2), MousePointer property (NCTPlayButton2), MousePointer property (NCTSliderA2), MousePointer property (NCTSliderB2), MousePointer property (NCTStepButton2), MousePointer property (NCTVolumeButtonA2), MousePointer property (NCTVolumeButtonB2).
OrientationEnum | These are the constants for the following properties: Orientation property (NCTAmpBar2), Orientation property (NCTFlatSlider2), Orientation property (NCTSliderA2), Orientation property (NCTSliderB2).
SliderSizeEnum | These are the constants for the Size property (NCTSliderA2).
VBStyleEnum | These are the constants for the Style property (NCTVolumeButtonB2).


BorderEnum enumeration

BorderEnum enumeration

These are the constants for the following properties: BorderStyle property (NCTAmpBar2), BorderStyle property (NCTEqualizer2), TrackStyle property (NCTFlatSlider2), BorderStyle property (NCTPlayButtonB2), BorderStyle property (NCTSliderA2), BorderStyle property (NCTSliderB2), BorderStyle property (NCTTimeDisplay2).

Members

Constant | Value | Description
bNone | 0 | Border is absent.
bSingle | 1 | Border is single.
bLowered | 2 | Border is lowered.
bRaised | 3 | Border is raised.


ColorStyleEnum enumeration

ColorStyleEnum enumeration

These are the constants for the Style property (NCTAmpBar2).

Members

Constant | Value | Description
csStandart | 0 | Standard style.
csColorTransform | 1 | Transforming style.


DigitEnum enumeration

DigitEnum enumeration

These are the constants for the DigitStyle property (NCTTimeDisplay2).

Members

Constant | Value
dtNarrow | 0
dtAverage | 1
dtWide | 2


EqualizerSliderEnum enumeration

EqualizerSliderEnum enumeration

These are the constants for the SliderType property (NCTEqualizer2).

Members

Constant | Value | Description
eqSlider1 | 0 | Specifies style of slider.
eqSlider2 | 1 | Specifies style of slider.


IndColorEnum enumeration

IndColorEnum enumeration

These are the constants for IndColor property (NCTVolumeButtonA2).

Members

Constant | Value | Description
icLime | 0 | Indicator is green.
icWinkLime | 1 | Indicator is blinking green.
icRed | 2 | Indicator is red.
icWinkRed | 3 | Indicator is blinking red.
icYellow | 4 | Indicator is yellow.
icWinkYellow | 5 | Indicator is blinking yellow.
icAqua | 6 | Indicator is aqua.
icWinkAqua | 7 | Indicator is blinking aqua.
icBlue | 8 | Indicator is blue.
icWinkBlue | 9 | Indicator is blinking blue.
icFuchsia | 10 | Indicator is pink.
icWinkFuchsia | 11 | Indicator is blinking pink.


MousePtrEnum enumeration

MousePtrEnum enumeration

These are the constants for the following properties: MousePointer property (NCTFlatSlider2), MousePointer property (NCTPlayButton2), MousePointer property (NCTSliderA2), MousePointer property (NCTSliderB2), MousePointer property (NCTStepButton2), MousePointer property (NCTVolumeButtonA2), MousePointer property (NCTVolumeButtonB2).

Members

Constant | Value | Description
mpDefault | 0 | Mouse pointer is default.
mpSpecial | 1 | Mouse pointer is special.


OrientationEnum enumeration

OrientationEnum enumeration

These are the constants for the following properties: Orientation property (NCTAmpBar2), Orientation property (NCTFlatSlider2), Orientation property (NCTSliderA2), Orientation property (NCTSliderB2).

Members

Constant | Value | Description
oHorisontal | 0 | Amplify or slider bar is horizontal.
oVertical | 1 | Amplify or slider bar is vertical.


SliderSizeEnum enumeration

SliderSizeEnum enumeration

These are the constants for the Size property (NCTSliderA2).

Members

Constant | Value | Description
ssSmall | 0 | Slider has a small size.
ssNormal | 1 | Slider has a normal size.
ssLarge | 2 | Slider has a large size.


VBStyleEnum enumeration

VBStyleEnum enumeration

These are the constants for the Style property (NCTVolumeButtonB2).

Members

Constant | Value | Description
vbsRight | 0 |
vbsMirrorRight | 1 |
vbsLeft | 2 |
vbsMirrorLeft | 3 |
vbsTop | 4 |
vbsMirrorTop | 5 |
vbsDown | 6 |
vbsMirrorDown | 7 |


NCTAudioDesign2Lib

NCTAudioStudio2 ActiveX DLLs

Version 2.2

NCTAudioDesign2 helps to design a beautiful and functional multimedia application.

NCTAudioDesign2 includes eight interfaces:

  • NCTAmpBar2 - Amplification bar for displaying amplitude of signal.

  • NCTCMU2 - Color music.

  • NCTEqualizer2 - Control for displaying timer.

  • NCTFlatButton2 - Button.

  • NCTFlatSlider2 - Slider.

  • NCTSliderA2 - Slider.

  • NCTrSliderB - Slider.

  • NCTPlayButton2 - Control center for playback, record and track choosing.

  • NCTPlayButtonB2 - Control center for playback, record, volume control and track choosing.

  • NCTStepButton2 - Control for changing Volume of playback or Gain of record.

  • NCTTimeDisplay2 - Timer.

  • NCTVolumeButtonA2 - Control for changing Volume of playback.

  • NCTVolumeButtonB2 - Control for changing Volume of playback.

NCTAudioDesign2 is a part of the NCTAudioStudio2 package.


Downed property (NCTSliderA2)

Downed property (NCTSliderA2)

Gets or sets a flag indicating if slider is downed while pressing on it or not.

Property type

A Boolean value.

Syntax

object.Downed [= value]

The Downed property syntax has these parts:

Part | Type | Description
object | NCTSliderA2 | An expression evaluating to an object.
value | Boolean | Can be True (slider is downed) or False (slider isn't downed).

See Also:

BackColor | Enabled | Orientation | PushEnabled | Size | Speed

Applies to: NCTSliderA2